View Issue Details

IDProjectCategoryView StatusLast Update
0003357SymmetricDSBugpublic2018-01-22 08:38
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.33 
Target Version3.9.3Fixed in Version3.9.3 
Summary0003357: Extract file lock can't be created when "common" directory doesn't exist yet
DescriptionA user reported Symemtric unable to extract batches when the tmp/<node>/outgoing/common directory doesn't exist yet.

"Failed to create lock file (/opt/symmetricds/tmp/node/outgoing/common/000023423.lock)"

To reproduce this, would at least need to have:
1. cluster.lock.enabled=true
2. stream.to.file.enabled=true
3. An empty "<symds>/tmp" directory


Activities

kpatierno

2018-01-09 09:24

viewer   ~0001099

https://trello.com/c/PernA6hQ/95-failed-to-parse-batch-stacktracekeyinit-sockettimeoutexception

mmichalek

2018-01-09 15:49

administrator   ~0001100

To get the demo setup to produce common batches (and to reproduce this issue), the item_selling_price trigger router needs to be changed to use the corp_2_store router.

Issue History

Date Modified Username Field Change
2018-01-05 12:27 mmichalek New Issue
2018-01-09 09:24 kpatierno Note Added: 0001099
2018-01-09 15:48 mmichalek Assigned To => mmichalek
2018-01-09 15:48 mmichalek Status new => resolved
2018-01-09 15:48 mmichalek Resolution open => fixed
2018-01-09 15:48 mmichalek Fixed in Version => 3.9.3
2018-01-09 15:49 mmichalek Note Added: 0001100
2018-01-22 08:38 chenson Status resolved => closed